// Copyright (c) 2000, 2001
//      Maurice Castro (maurice@serc.rmit.edu.au)
//      All rights reserved.
// 
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
// 
// 1. Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
// 2. Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
// 
// This software is provided by the original author and contributors ``as
// is'' and any express or implied warranties, including, but not limited
// to, the implied warranties of merchantability and fitness for a
// particular purpose are disclaimed.  In no event shall the authors or
// contributors be liable for any direct, indirect, incidental, special,
// exemplary, or consequential damages (including, but not limited to,
// procurement of substitute goods or services; loss of use, data, or
// profits; or business interruption) however caused and on any theory of
// liability, whether in contract, strict liability, or tort (including
// negligence or otherwise) arising in any way out of the use of this
// software, even if advised of the possibility of such damage.
//
// $Id: YesNo.java,v 1.3 2001/02/06 03:08:18 maurice Exp $

import java.awt.*;
import java.awt.event.*;

class YesNo extends Dialog implements ActionListener
{
	private boolean result;

	YesNo(Frame f, String title, String question)
	{
		super(f, title, true);
		setLayout(new BorderLayout());
		add("North", new Label(question));
		add("West", makeButton("Yes"));
		add("East", makeButton("No"));
		pack();
	}

	Button makeButton(String S)
	{
		Button b = new Button(S);
		b.setActionCommand(S);
		b.addActionListener( (ActionListener) this);
		return(b);
	}

	public boolean getResult()
	{
		return(result);
	}

	public void actionPerformed(ActionEvent ae) 
	{
                String cmd;
                cmd = ae.getActionCommand();
		if (cmd.equals("Yes"))
		{
			result = true;
			dispose();
		} 
		else if (cmd.equals("No"))
		{
			result = false;
			dispose();
		}
	}
}
